summaryrefslogtreecommitdiffstats
path: root/testsuite/dwz.tests/pr24174.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--testsuite/dwz.tests/pr24174.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/testsuite/dwz.tests/pr24174.sh b/testsuite/dwz.tests/pr24174.sh
new file mode 100644
index 0000000..8d1192c
--- /dev/null
+++ b/testsuite/dwz.tests/pr24174.sh
@@ -0,0 +1,24 @@
+exec=$execs/hello
+cp $exec 1
+objcopy --compress-debug-sections 1
+if readelf -S 1 \
+ | grep -A1 '\.debug_' \
+ | grep -v '\.debug_' \
+ | grep -q 'C'; then
+ true
+else
+ exit 77
+fi
+
+if dwz 1 2>dwz.err; status=$?; then
+ true
+fi
+
+if grep -q "DWARF version 0 unhandled" dwz.err; then
+ cat dwz.err
+ exit 1
+fi
+
+[ $status -eq 1 ]
+
+rm -f 1 dwz.err